| Home | Libraries | People | FAQ | More

## Struct length

boost::xpressive::op::length — `length` is a PolymorphicFunctionObject for fetching the length of `sub_match`.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct length {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sub>
      struct result<This(Sub)> {
        // types
        typedef remove_reference< Sub >::type::difference_type type;
      };

      // public member functions
      template<typename Sub> Sub::difference_type operator()(Sub const &) const;
    };

## Description

### `length` public member functions

1.     template<typename Sub> Sub::difference_type operator()(Sub const & sub) const;

   Parameters: |
   `sub` | The ``sub_match`` object.
   Returns: | `sub.length()`